get
https://api.connex.trade/api/v1/trading/portfolio/tradingStats
Query the trading statistics of a portfolio
Notes: transactions within today has not been included.
Permission
- Primary API Key:
READ, retrieve trading stats on sym level of the main portfolio - Sub-Portfolio API Key:
READ, retrieve trading stats on sym level of the current portfolio
Rate Limit
- 20 requests per 1 second
Request
| Name | Type | Mandatory | Description |
|---|---|---|---|
| symList | String | N | Trading pair unique identifier. A maximum of 5 symbols can be specified in a single request. If symList is provided, it overrides the businessType and exchange parameters, and those filters will not take effect.Example: BINANCE_PERP_BTC_USDT, OKX_PERP_BTC_USDT |
| businessType | String | N | businessType: SPOT / PERP |
| exchange | String | N | OKX / BINANCE |
| begin | String | Y | Start time, in milliseconds timestamp format (utc 0:00), up to 90 days period, able to support 1 year ago. Will be converted to 0am of the Date |
| end | String | Y | End time, in milliseconds timestamp format (utc 0:00), up to 90 days period,Will be converted to 0am of the Date |
Response
| Field | Type | Remark |
|---|---|---|
| begin | String | Start date/time (automatically aligned to 00:00:00 of that day) |
| end | String | End date/time (automatically aligned to daily boundary) |
| okxSpotVolUsd | String | OKX-Total spot trading amount(USDT Volume) |
| okxPerpVolUsd | String | OKX-Total perp trading amount(USDT Volume) |
| binanceSpotVolUsd | String | Binance-Total spot trading amount(USDT Volume) |
| binancePerpVolUsd | String | Binance-Total spot trading amount(USDT Volume) |
| details | Object | List of trading amount detail |
exchange | String | exchange: BINANCE, OKX,EDX |
businessType | String | SPOT, PERP. MARGIN Trading volume is included in the SPOT Volume |
executedAmount | String | Trading amount(USDT Volume) |
symbol | String | Trading pair unique identifier |
totalTradingFee | String | Total trading fee paid (converted to USDT) |
totalRpnl | String | Total realized PNL (converted to USDT) |
Note:
the parameters begin and end only extract the year, month, and day from the timestamp.
For example: If the timestamp for begin corresponds to 2025-12-23 10:30:00(UTC), and the timestamp for end corresponds to 2025-12-24 08:00:00(UTC),
then the final statistics will cover the data for the two days: 2025-12-23 to 2025-12-24.
